CREATE TABLE ARTEFACT (
	ART_ID NUMBER(18) NOT NULL,
	ID VARCHAR2(255) NULL,
	AGENCY VARCHAR2(50) NULL,
	VALID_FROM TIMESTAMP NULL,
	VALID_TO TIMESTAMP NULL,
	IS_FINAL NUMBER(3) NULL,
	VERSION1 NUMBER(18) NOT NULL,
	VERSION2 NUMBER(18) NOT NULL,
	VERSION3 NUMBER(18) NULL,
	URI NVARCHAR2(255) NULL,
	LAST_MODIFIED TIMESTAMP NULL,
	IS_STUB NUMBER(1) DEFAULT 0 NOT NULL,
	SERVICE_URL NVARCHAR2(255) NULL,
	STRUCTURE_URL NVARCHAR2(255) NULL,
	ARTEFACT_TYPE VARCHAR2(50) NULL
)
;

ALTER TABLE ARTEFACT ADD CONSTRAINT PK_ARTEFACT
	PRIMARY KEY (ART_ID)
;
